package net.roseindia;

import java.util.*;
import javax.mail.*;
import javax.mail.internet.*;

public class EmailSender{
  public static void sendMail(String from, String[] to,
		  String subject, String content) throws Exception{
	 try {
	  String smtpHost = "192.168.10.105";
	  Properties properties = new Properties();
	  properties.setProperty("mail.smtp.host",smtpHost);
	  Session sesson = Session.getInstance(properties);
	  
	  Message msg = new MimeMessage(sesson);
	  msg.setFrom(new InternetAddress(from));
	  InternetAddress[] toIA = new InternetAddress[to.length];
	  for(int i=0; i<to.length;i++){
		toIA[i]= new InternetAddress(to[i]);
	   }
	  msg.addRecipients(Message.RecipientType.TO, toIA);
	  msg.setSubject(subject);
	  
	  String htmlText = content;
	  msg.setContent(content, "text/html");
	  Transport.send(msg);
	  System.out.println("Message send Successfully....");
	}catch(Exception e){
	  e.printStackTrace();
	  System.out.println("Following Error Occured :"+e.getMessage());
	 }
   }
 }
